### Function

# GIRepository Repository dump

since: 2.80

#### Declaration

    gboolean
    gi_repository_dump (
      const char* input_filename,
      const char* output_filename,
      GError** error
    )

#### Description

Dump the introspection data from the types specified in `input_filename` to `output_filename`.

The input file should be a UTF-8 Unix-line-ending text file, with each line containing either `get-type:` followed by the name of a `GType` `_get_type` function, or `error-quark:` followed by the name of an error quark function. No extra whitespace is allowed.

This function will overwrite the contents of the output file.

Available since: 2.80

#### Parameters

`input_filename`

  Type: `const char*`

  Input filename (for example `input.txt`)

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

`output_filename`

  Type: `const char*`

  Output filename (for example `output.xml`)

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

True on success, false on error.